/* il file della lingua e' /wms_js_2.0/i18n/vivaticket-xx.js e va caricato nell'header.
 * La variabile usata in questo file e' frasi.anagrafica
 */

var associazioni = {'provincia':'citta', 'citta':'cap', 'wuf_provincia':'ft_citta', 'ft_citta':'ft_cap' };

function chkEditPwd () {
  if ($('#editPwd').length) return $('#editPwd').val() ==1;
  else return true;
}

function chkCountryIT($nazione)    { return ($($nazione).val()=='' || $($nazione).val() == 'it'); }
function chkCountryNOTIT($nazione) { return !chkCountryIT($nazione); }
function chkFullReg()              { return $('#regType').val() == 'f'; }
function chkFullRegFatt()          { return $('#regType').val() == 'f' && $('#int_altro').is(':checked'); }

$(document).ready(function(){
  //Registrazione
  if ($('#modifica').val()==0){ $('.inModifica').hide();  $('.inRegistrazione').show();  }
  //Modifica
  else                        { $('.inModifica').show(); $('.inRegistrazione').hide(); }
  
  //Funzionamento
  //DATE
  var datepickerConfig= {
      changeMonth: true, changeYear: true, yearRange: "-120:+0",
      autoclose: true,  buttonImage: hostServerImage+"wms_images/calendario.jpg", buttonImageOnly: true
  };
  
  $('#data_nascita').css('z-index','20').css('position','relative').datepicker(datepickerConfig);
  $('#bl_data_nascita').css('z-index','20').css('position','relative').datepicker(datepickerConfig);

  // Cambia il layout da registrazione light->full
  $('#lightOrFull_F').click(function (){
    $('#purchase_data').show();
    $('.buyRequiredShow').hide();
    $('.buyRequiredFields').show();

   	$('.fatturazioneShow').hide();
   	$('.fatturazioneFields').show();

   	$('#lightOrFull_L').prop('checked', false);
    $('input#regType').val('f');
  });
  
  // Cambia il layout da registrazione full->light
  $('#lightOrFull_L').click(function (){
    $('#purchase_data').hide();
    $('input#regType').val('l');
    $('#lightOrFull_F').prop('checked', false);
  });

  //PASSWORD
  $('#btnPwdEdit').click (function () {
	   $('.pwdFields, #btnPwdUndoEdit').show();
	   $('#editPwd').val(1);
	   $('#btnPwdEdit, .pwdShow').hide();
	   $('.editPwd').prop('disabled', false);
  });
  $('#btnPwdUndoEdit').click (function () {
	  $('.pwdFields, #btnPwdUndoEdit').hide();
	  $('#editPwd').val(0);
	  $('#btnPwdEdit, .pwdShow').show();
      $('.editPwd').prop('disabled', true);
  });


  
  //INDIRIZZI
  $('.nazione').change (switchCountryLayoutTo);
  
  chargeCountry();
  chargeRegion();
  
  if ($('#citta').length) {
    fillComuni (null,'provincia');
  }
  if ($('#ft_citta').length) {
    fillComuni (null,'wuf_provincia');
  }
  
  $('#provincia, #wuf_provincia').change (fillComuni);
  $('#citta, #ft_citta').change (changeComuniCAP);

  
  $('#no_cf').click( function () {
    $('#straniero').val($('#no_cf').is(':checked')?1:0);
    if ($('#no_cf_y').length == 0) {
        fillFoLayoutIdArrays($(this).is(':checked'));
        $('#labelFiscale').html(getLabelForDocumentField($(this).is(':checked')));
        if ($(this).is(':checked'))
        	$('#inputGroupFiscale').css('display','block')
        else
        	$('#inputGroupFiscale').css('display','table')
    }
  });
  
  // Cambia il layout da registrazione-fattura italiano/straniero
  $('#ft_no_cf').click( function () {
    $('#wuf_straniero').val($('#ft_no_cf').is(':checked')?1:0);
    fillFtFoLayoutIdArrays($(this).is(':checked'));
    $('#ft_labelFiscale').html(getLabelForDocumentField($(this).is(':checked')));
    if ($(this).is(':checked'))
    	$('#inputGroupFTFiscale').css('display','block')
    else
    	$('#inputGroupFTFiscale').css('display','table')

  });

  // Pulsanti di Modifica dei vari campi
  $('#mailFieldsMod').click (function () { $('.email_inRegistrazione').show(); $('.email_inModifica').hide(); });
  $('#buyRequiredShowMod').click (function () { $('.buyRequiredFields').show(); $('.buyRequiredShow').hide();});
  $('#fatturazioneShowMod').click (function () { $('.fatturazioneFields').show(); $('.fatturazioneShow').hide(); });
  
  //Da Fattura intestata ad azienda a fattura intestata a persona fisica
  $("input:radio[name ='intestazione_fattura'], input:radio[name ='int_tip']").change (switchInvoiceLayout);

  //VALIDATE
  //tolgo gli spazi bianchi
  //$('input').blur(function(){$(this).val($.trim($(this.val())));});
  $('#citta, #citta_e, #ft_citta, #ft_citta_e').blur(function () {
    $(this).val($('<div/>').html($(this).val()).text());
  });
  $("#signUp").validate({
    //debug: true,
    rules: {
      email: {
        required: {depends: function() {return $('#modifica').val()==0;}},
        email: true,
        remote: {
          param: {
            url: "/inc/retriever.php",
            type: "post",
            dataType: 'text',
            beforeSend: function () {$('#email').val($.trim($('#email').val().toLowerCase()));},
            dataFilter: function (risposta) {
              controllo_email = $('#email').val().toLowerCase();
              if (risposta == 'KO')
                return frasi.anagrafica['emailAlreadyUsed'];
              else if (risposta == 'KO ATTIVA')
                return frasi.anagrafica['emailAlreadyUsedNotActive'] + ' <a href="/index.php?nvpg[member]&page=getpwd&email=' + $('#email').val() + '&sorgente=' + $('#sorgente').val() + '">'+ frasi.anagrafica['accountActivation']+'</a>';
              else if (risposta == 'KO RECUPERO')
                return frasi.anagrafica['emailAlreadyUsedActive'] + ' <a href="/index.php?nvpg[member]&page=getpwd&email=' + $('#email').val() + '&sorgente=' + $('#sorgente').val() + '">'+ frasi.anagrafica['accountRetrieve']+'</a>.';
              else return true;
            }
          },
          depends: function () { return $('#email').val().toLowerCase() != controllo_email.toLowerCase();}
        }
      },
      login: {
        required: {depends: function() {return $('#modifica').val()==0;}},
        rangelength: [5, 25],
        remote: {
          param: {
            url: "/inc/retriever.php",
            type: "post",
            dataType: 'text',
            cache: false,
            beforeSend: function () {$('#username').val($.trim($('#username').val()));},
            dataFilter: function (risposta) {
              controllo_login = $('#username').val().toLowerCase();
              if (risposta == 'KO')
                return frasi.anagrafica['usernameAlreadyUsed'];
              else return true;
            }
          },
          depends: function () { return $('#username').val().toLowerCase() != controllo_login.toLowerCase();}
        }
      },
      privacy:      {required: true, min:1 },
      consenso_mktg:{required: function () { if ($('input[name=consenso_mktg]').attr('type') == 'radio') return true;
                                             else return false;
                                            } },
      newsletter:{required: function () { if ($('input[name=newsletter]').attr('type') == 'radio') return true;
                                             else return false;
                                           } },
      oldPassword:  {required: {depends: chkEditPwd}},
      password:     {required: {depends: chkEditPwd}, equalTo: '#password2'},
      password2:    {required: {depends: chkEditPwd}, minlength: 8},
      // DATI PER L'ACQUISTO
      nome:         {required: {depends: chkFullReg}, rangelength: [2, 25] },
      cognome:      {required: {depends: chkFullReg}, rangelength: [2, 25] },
      data_nascita: {required: {depends: chkFullReg}, dateITA: true },
      telefono:     {rangelength: [6, 21], phone: true, required:true },
         //DOCUMENTO
      fiscale:      {required:      {depends: chkFullReg},
                     rangelength:   {depends: function() {return chkFullReg() && $('#no_cf').is(':checked');}, param: [2, 20]},
                     NOTpattern:    {depends: function() {return chkFullReg() && $('#no_cf').is(':checked');}, param: NOTpattern_strNum },
                     codiceFiscale: {depends: function() {return chkFullReg() && !$('#no_cf').is(':checked'); }}},
         //INDIRIZZO
      nazione:      {required: {depends: function() {return chkFullReg();}}},
      provincia:    {required:    {depends: function() {return chkFullReg() && chkCountryIT('#nazione');}},
                     rangelength: {depends: function() {return chkFullReg() && chkCountryNOTIT('#nazione');}, param:[2, 25]},
                     NOTpattern: NOTpattern_str},
      citta:        {required:    {depends: function() {return chkFullReg();}},
                     rangelength: {depends: function() {return chkFullReg() && chkCountryNOTIT('#nazione');}, param:[2, 35]},
                     NOTpattern:  {depends: function() {return chkFullReg() && chkCountryNOTIT('#nazione');}, param: NOTpattern_str}},
      cap:          {required:    {depends: function() {return chkFullReg();}},
                     rangelength: {depends: function() {return chkFullReg() && chkCountryNOTIT('#nazione');}, param:[3, 11]},
                     NOTpattern: NOTpattern_strNum},
      indirizzo:    {required: {depends: function() {return chkFullReg();}},
                     rangelength: [2, 70],
                     NOTpattern: NOTpattern_strNum},
      //DATI FATTURA
      int_tip:      {required: $('#int_altro').is(':checked')},
      ft_ragsoc:    {required: function() {return chkFullReg() &&  $('#int_tip_azienda').is(':checked');},
                     NOTpattern: NOTpattern_strNum},
      ft_nome:      {required: function() {return chkFullReg() &&  $('#int_tip_privato').is(':checked');},
                     rangelength: [2, 25],
                     NOTpattern: NOTpattern_str},
      ft_cognome:   {required: function() {return chkFullReg() &&  $('#int_tip_privato').is(':checked');},
                     rangelength: [2, 25],
                     NOTpattern: NOTpattern_str},
      regolamento:  {required: {depends: function() {return chkFullReg();}}},
         //indirizzo
      wuf_nazione:  {required:    {depends: function() {return chkFullRegFatt();}}},
      wuf_provincia: {required:   {depends: function() {return chkFullRegFatt()&& chkCountryIT('#wuf_nazione');}},
                     rangelength: {depends: function() {return chkFullRegFatt() && chkCountryNOTIT('#wuf_nazione');}, param:[2, 25]},
                     NOTpattern: NOTpattern_str},
      ft_citta:     {required:    {depends: function() {return chkFullRegFatt();}},
                     rangelength: {depends: function() {return chkFullRegFatt() && chkCountryNOTIT('#wuf_nazione');}, param:[2, 35]},
                     NOTpattern:  {depends: function() {return chkFullRegFatt() && chkCountryNOTIT('#wuf_nazione');}, param: NOTpattern_str}},
      ft_cap:       {required:    {depends: function() {return chkFullRegFatt();}},
                     rangelength: {depends: function() {return chkFullRegFatt() && chkCountryNOTIT('#wuf_nazione');}, param:[3, 11]},
                     NOTpattern: NOTpattern_strNum},
      wuf_indirizzo: {required: {depends: function() {return chkFullRegFatt();}},
                     rangelength: [2, 70],
                     NOTpattern: NOTpattern_strNum},
                     
      ft_fiscale:   {required:    {depends: function() {return chkFullRegFatt() &&  ($('#int_tip_privato').is(':checked') || chkCountryIT('#wuf_nazione'));}},
                     rangelength: {depends: function() {return chkFullRegFatt() &&
                                                              (($('#int_tip_privato').is(':checked') && $('#ft_no_cf').is(':checked')) ||
                                                               chkCountryNOTIT('#wuf_nazione'));},
                                   param: [2, 20]},
                     NOTpattern:  {depends: function() {return chkFullRegFatt() &&
                                                              (($('#int_tip_privato').is(':checked') && $('#ft_no_cf').is(':checked')) ||
                                                               chkCountryNOTIT('#wuf_nazione'));},
                                  param: NOTpattern_strNum },
                     codiceFiscale: {depends: function () {return chkFullRegFatt() && $('#int_tip_privato').is(':checked') && !$('#ft_no_cf').is(':checked'); }},
                     partita_iva: {depends: function () {return chkFullRegFatt() && $('#int_tip_azienda').is(':checked') && chkCountryIT('#wuf_nazione'); }}},
      
      artefiera_privacyA: { required:true, min:1 },
      artefiera_privacyB: { required:true },
      artefiera_privacyC: { required:true },
      artefiera_fax:  {rangelength: [6, 21], phone: true},
      artefiera_fax:  {rangelength: [6, 21], phone: true}
        
    },
    messages: {
    	privacy: {required: frasi.anagrafica['privacy'], min: frasi.anagrafica['privacy']},
      artefiera_privacyA: {required: frasi.anagrafica['privacy'], min: frasi.anagrafica['privacy']},
      password: {equalTo: frasi.anagrafica['password_twice']},
    	password2: {equalTo: frasi.anagrafica['password_twice']}
    // DATI PER L'ACQUISTO
    }
  });

});



/* ************************ Codice Fiscale ********************************* */

$(document).ready(function(){
	var cfType = '';
	var bl_nascita_testo = '';
	
	$('#cfModal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget) // Button that triggered the modal
		cfType = button.data('kind') 		//"a" = Anagrafica | "f" = Fatturazione
	  
		if (cfType == 'a') {
			$('#bl_nome').val($('#nome').val());
			$('#bl_cognome').val($('#cognome').val());
			$('#bl_sesso').val($('#sesso').val());
			$('#bl_data_nascita').val($('#data_nascita').val());
		} else {
			$('#bl_nome').val($('#ft_nome').val());
			$('#bl_cognome').val($('#ft_cognome').val());
			$('#bl_sesso').val('');
			$('#bl_data_nascita').val('');
		}
		$('#bl_nascita').val('');
		$('#bl_nascita_codice').val('');
	});
	
	$('#cfModal #cfCalcola').click(function () {
		if (!controllaDatiCodiceFiscale ($('#bl_nome').val(), $('#bl_cognome').val(), $('#bl_sesso').val(),
										 $('#bl_data_nascita').val(), $('#bl_nascita').val(), $('#bl_nascita_codice').val()
		)) return false;
		var cf = calcolaCodiceFiscale($('#bl_nome').val(), $('#bl_cognome').val(), $('#bl_sesso').val(),
									  $('#bl_data_nascita').val(), $('#bl_nascita_codice').val());
		
		if (cfType == 'a') {
			$('#fiscale').val(cf);
			$('#nome').val($('#bl_nome').val());
			$('#cognome').val($('#bl_cognome').val());
			$('#sesso').val($('#bl_sesso').val());
			$('#data_nascita').val($('#bl_data_nascita').val());
			$('#data_nascita').change();
		} else {
			$('#ft_fiscale').val(cf);
			$('#ft_nome').val($('#bl_nome').val());
			$('#ft_cognome').val($('#bl_cognome').val());
		}
		
		$('#cfModal').modal('hide');
	});
	
	$("#bl_nascita").change (function() { if ($(this).val() != bl_nascita_testo ) $('#bl_nascita_codice').val('');  });
	$("#bl_nascita").autocomplete ({
		source: function (request, response) {
			$.ajax( {
				url:"/inc/retriever.php?callback=?",
				dataType: 'json',
				data: { limit: 20, comune_cf: request.term},
				success: function (data) {
					var suggestions = [];
					$.each(data, function(i, val){ suggestions.push(val); });
					response(suggestions);
				}
			} );
		},
		minLength: 2,
		select: function( event, ui ) {
			event.preventDefault();
			bl_nascita_testo = ui.item.label;
			$('#bl_nascita_codice').val(ui.item.value);
			$('#bl_nascita').val(ui.item.label);
		},
		focus:  function() {
			if (this.value != bl_nascita_testo ) $('#bl_nascita_codice').val('');
		}
	});
});

function controllaDatiCodiceFiscale (nome, cognome, sesso, data, luogo, luogo_code) {
  var errMsg = '';
  var ckdate = false;
  var ok = true;
  
  if (!nome)             errMsg  = frasi.anagrafica['nome']+'\n';
  if (!cognome)          errMsg += frasi.anagrafica['cognome']+'\n';
  if (!sesso)            errMsg += frasi.anagrafica['sesso']+'\n';
  if (!data)             errMsg += frasi.anagrafica['data_nascita']+'\n';
  else ckdate = true;
  
  // non ho digitato nulla oppure ho digitato e non trovato nulla
  if (!luogo) errMsg += frasi.anagrafica['luogo_nascita']+'\n';
  else if (!luogo_code) {
    luogo.focus();
    ok = false;
  }
  
  if (errMsg) errMsg = frasi.anagrafica['emptyErrorChkCF']+'\n'+errMsg;
   
  if (ckdate && !chkDate (data))
    errMsg += frasi.anagrafica['errorChkBDate']+'\n';

  if (errMsg) {
    alert (errMsg);
    ok = false;
  }

  return ok;
}


//Controllo data di nascita
function chkDate (date) {
  var matches = /^(\d{2})[-\/](\d{2})[-\/](\d{4})$/.exec(date);
  if (matches == null) return false;
  
  var d = matches[1];
  var m = matches[2] - 1;
  var y = matches[3];
  var composedDate = new Date(y, m, d, 12, 0, 0);
  
  return composedDate.getDate() == d &&
         composedDate.getMonth() == m &&
         composedDate.getFullYear() == y;
}


function calcolaCodiceFiscale (nome, cognome, sesso, data, luogo_code) {
  var vocali = /[AEIOU\s]/g ;
  var notVocali = /[^AEIOU]/g ;
  //cognome
  var consCognome = cognome.toUpperCase().replace(vocali,'');
  var vocCognome = cognome.toUpperCase().replace(notVocali,'');
  var codCognome = (consCognome+vocCognome+"XXX").substring(0,3);
  //nome
  var consNome = nome.toUpperCase().replace(vocali,'');
  if (consNome.length>=4) { //voglio 134
    var re = /^(.)(.)(.)(.).*/g;
    consNome = consNome.replace (re, "$1$3$4");
  }
  var vocNome = nome.toUpperCase().replace(notVocali,'');
  var codNome = (consNome+vocNome+"XXX").substring(0,3);
  //Data di nascita + luogo di nascita
  var matches = /^(\d{2})[-\/](\d{2})[-\/](\d{4})$/.exec(data);
  var dd = matches[1];
  var mm = matches[2] - 1;
  var yy = matches[3];

  var anno = yy.substring(2,4);
  var mese = 'ABCDEHLMPRST'.charAt(eval(mm));
  var gg = (sesso == 'F')? eval(dd)+40 : eval(dd);
  gg = (gg<10)? '0'+gg : gg;
  var cf = codCognome + codNome + anno + mese + gg + luogo_code;
  var controllo = calcolaCodiceDiControlloCF (cf);
  cf = cf + controllo;
  return cf;
}


//calcolo del codice di controllo del codice fiscale
function calcolaCodiceDiControlloCF (cf) {
  set1 = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  set2 = "ABCDEFGHIJABCDEFGHIJKLMNOPQRSTUVWXYZ";
  setpari = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  setdisp = "BAKPLCQDREVOSFTGUHMINJWZYX";
  var s = 0;
  for( var i = 1; i <= 13; i += 2 )
    s += setpari.indexOf( set2.charAt( set1.indexOf( cf.charAt(i) )));
  for( i = 0; i <= 14; i += 2 )
    s += setdisp.indexOf( set2.charAt( set1.indexOf( cf.charAt(i) )));
    
  var c = String.fromCharCode (s%26+'A'.charCodeAt(0));
  return c;
}


/* ************************************************************** */
/*                 cambio stato/provincia/citta/cap               */
/* ************************************************************** */
function setOption (text, value, toSelect) {
  return $('<option>', {text: text, value : value}).prop('selected', toSelect);
}

function chargeCountry () {
  $.each(countryHash, function(value, text) {
    $('#nazione').append( setOption (text, value, nazione_db == value));
    $('#wuf_nazione').append( setOption (text, value, wuf_nazione_db == value));
  });
}

function chargeRegion () {
  $.each(regionHash, function(value, text) {
    $('#provincia').append( setOption (text, value, provincia_db == value));
    $('#wuf_provincia').append( setOption (text, value, wuf_provincia_db == value));
  });
}

function fillComuni (event, provincia) {
  if (typeof provincia == 'undefined')
    var provincia = $(this).attr('id');
  
  var p = $('#'+provincia).val();
  if (p == '') com = {};
  else         com = comuniHash[p];


  var campo = associazioni[$('#'+provincia).attr('name')];
  $('#'+campo).empty();
   
  if (Object.keys(com).length != 1)
	  $('#'+campo).append($('<option>', { value : '', text: '----' }));
  if ($.isEmptyObject(com)) {
    fillCAP (campo);
    return;
  }

  $.each(com, function(key, value) {
      $('#'+campo).append( setOption (value, key+";"+value, (eval(campo+'_db').toUpperCase() == value.toUpperCase())));
  });
  fillCAP (campo);
}


function changeComuniCAP () {
  fillCAP ($(this).attr('id'));
  }
  

function fillCAP (comune) {
  if ($('#'+comune+' option').length == 0)
    return;
  var c = $('#'+comune+' option:selected').val().split(';');
  var idc = c[0];
  if (idc == '') CAPC = new Array();
  else           CAPC = capHash[idc];

    var campo = associazioni[$('#'+comune).attr('id')];
    $('#'+campo).empty();
  
  if (typeof CAPC == "undefined")
    return;
  if (CAPC.length != 1)
        $('#'+campo).append($('<option>', { value : '', text: '----' }));
  if ($.isEmptyObject(CAPC)) return;
    
  $.each(CAPC, function(key, value) {
      $('#'+campo).append( setOption (value, value, eval(campo+'_db') == value));
    });
}


/* ************************************************************** */
/*                        switch grafici                          */
/* ************************************************************** */

/*
Cambia il layout dei campi per la fattura, a seconda dei parametri seguenti:
- MA (M = Me, A = Altro)
- PA (P = Persona, A = Azienda)
*/
function switchInvoiceLayout() {
  var MA = $("input:radio[name ='intestazione_fattura']:checked").val();
  var PA = $("input:radio[name ='int_tip']:checked").val();
  var It = $('#wuf_nazione').val();
  
  if (MA == 'm') {
    $('.ft').hide();
    $('.ft input, .ft select').attr("disabled", true);
  }
  else {
    $('.ft').show();
    $('.ft input, .ft select').removeAttr("disabled");
    if (It=='it'){
      $('.ft_italia').show();
      $('.ft_italia input, .ft_italia select').removeAttr("disabled");
      $('.ft_estero').hide();
      $('.ft_estero input, .ft_estero select').attr("disabled", true);
      $('#ft_piva_label').addClass('RequiredField');
    }
    else  {
      $('.ft_estero').show();
      $('.ft_estero input, .ft_estero select').removeAttr("disabled");
      $('.ft_italia').hide();
      $('.ft_italia input, .ft_italia select').attr("disabled", true);
      $('#ft_piva_label').removeClass('RequiredField');
    }
    if (PA == 'p') {
      $('.ft_p').show();
      $('.ft_p input').removeAttr("disabled");
      $('.ft_a').hide();
      $('.ft_a input').attr("disabled", true);
    }
    else {
      $('.ft_a').show();
      $('.ft_a input').removeAttr("disabled");
      $('.ft_p').hide();
      $('.ft_p input').attr("disabled", true);
    }
  }
}


//Restituisce la label corretta da inserire nel campo documento
function getLabelForDocumentField(foreigner) {
  if (foreigner) return frasi.anagrafica['documento'];
  else           return frasi.anagrafica['CFiscale'];
}


//Cambia il layout al cambiamento di nazionalita'
function switchCountryLayoutTo() {
  //viene scelta come nazione l'italia
  if ($(this).attr('id') == 'nazione') {
    if ($(this).val() == 'it') {
      $('.me_stato_italia input, .me_stato_italia select' ).removeAttr("disabled");
      $('.me_stato_estero input, .me_stato_estero select').attr("disabled", true);
      if (nazione_db != 'it') $('#me_stato_italia input, .me_stato_italia input').val('');
      $('.me_stato_italia').show();
      $('.me_stato_estero').hide();
    }
    else {
      $('.me_stato_italia input, .me_stato_italia select').attr("disabled", true);
      $('.me_stato_estero input, .me_stato_estero select').removeAttr("disabled");
      if (nazione_db == 'it') $('.me_stato_estero input').val('');
      $('.me_stato_estero').show();
      $('.me_stato_italia').hide();
    }
  }

  if ($(this).attr('id') == 'wuf_nazione') {
    if ($(this).val() == 'it') {
      $('#wuf_provincia,   #ft_citta,   #ft_cap').removeAttr("disabled");
      $('#wuf_provincia_e, #ft_citta_e, #ft_cap_e').attr("disabled", true);
      if (wuf_nazione_db != 'it') $('#wuf_provincia, #ft_citta, #ft_cap, #wuf_indirizzo').val('');
      $('.ft_italia').show();
      $('.ft_estero').hide();
      $('#ft_piva_label').addClass('RequiredField');
    }
    else {
      $('#wuf_provincia,   #ft_citta,   #ft_cap').attr("disabled", true);
      $('#wuf_provincia_e, #ft_citta_e, #ft_cap_e').removeAttr("disabled");
      if (wuf_nazione_db == 'it') $('#wuf_provincia_e, #ft_citta_e, #ft_cap_e, #wuf_indirizzo').val('');
      $('.ft_estero').show();
      $('.ft_italia').hide();
      $('#ft_piva_label').removeClass('RequiredField');
      
    }
  }

  if ($(this).attr('id') == 'nazione') {
    // Cambio il layout da registrazione italiano/straniero
    if ($('#no_cf_y').length && $('#no_cf_n').length) {
      // Inglese
      switchForeignerFlag($(this).val() == 'it' ? $('#no_cf_y') : $('#no_cf_n'));
    }
    else {
      // Italiano
      $('#no_cf').prop('checked', $(this).val() != 'it');
      fillFoLayoutIdArrays($('#no_cf').is(':checked'));
      $('#labelFiscale').html(getLabelForDocumentField($('#no_cf').is(':checked')));
      $('#straniero').val($('#no_cf').is(':checked')?1:0);
    }
  }
  else if ($(this).attr('id') == 'wuf_nazione') {
    // Cambio il layout da fatturazione italiano/straniero
    if ($('#ft_no_cf_y').length && $('#ft_no_cf_n').length) {
      // Inglese
      switchForeignerFlag($(this).val() == 'it' ? $('#ft_no_cf_y') : $('#ft_no_cf_n'));
    }
    else {
      // Italiano
      $('#ft_no_cf').prop('checked', $(this).val() != 'it');
      fillFtFoLayoutIdArrays($('#ft_no_cf').is(':checked'));
      $('#ft_labelFiscale').html(getLabelForDocumentField($('#ft_no_cf').is(':checked')));
      $('#ft_straniero').val($('#ft_no_cf').is(':checked')?1:0);
    }
  }
}


function switchForeignerFlag(button) {
  switch (button.attr('id')) {
    case 'no_cf_y':
      fillFoLayoutIdArrays(false);
      $('#labelFiscale').html(getLabelForDocumentField(false));
      $('#inputGroupFiscale').css('display','table')
      $('#no_cf').prop('checked', false);
      $('#straniero').val($('#no_cf').is(':checked')?1:0);
      break;
    case 'no_cf_n':
      fillFoLayoutIdArrays(true);
      $('#labelFiscale').html(getLabelForDocumentField(true));
      $('#inputGroupFiscale').css('display','block')
      $('#no_cf').prop('checked', true);
      $('#straniero').val($('#no_cf').is(':checked')?1:0);
      break;
    case 'ft_no_cf_y':
      fillFtFoLayoutIdArrays(false);
      $('#ft_labelFiscale').html(getLabelForDocumentField(false));
      $('#inputGroupFTFiscale').css('display','table')
      $('#ft_no_cf').prop('checked', false);
      $('#ft_straniero').val($('#ft_no_cf').is(':checked')?1:0);
      break;
    case 'ft_no_cf_n':
      fillFtFoLayoutIdArrays(true);
      $('#ft_labelFiscale').html(getLabelForDocumentField(true));
      $('#inputGroupFTFiscale').css('display','block')
      $('#ft_no_cf').prop('checked', true);
      $('#ft_straniero').val($('#ft_no_cf').is(':checked')?1:0);
      break;
    default:
      return;
  }
  button.prop('checked', true);
}


//Riempie gli array di ID per il layout straniero/italiano
function fillFoLayoutIdArrays(foreigner){
  if (foreigner) {
    $('#italian').hide();
    $('#foreigner').show();
  }
  else {
    $('#italian').show();
    $('#foreigner').hide();
  }
}

//Riempie gli array di ID per il layout straniero/italiano
function fillFtFoLayoutIdArrays(foreigner){
  if (foreigner) {
    $('#ft_italian').hide();
    $('#ft_foreigner').show();
  }
  else {
    $('#ft_italian').show();
    $('#ft_foreigner').hide();
  }
}

function confermaAnagrafica () {
  if (!$('#accetto').is(':checked') && $('#modifica').val() != 1) {
    alert (frasi.anagrafica['condizioni']+"\n");
    return false;
  }
  return true;
}
