var seat_unmapped_selected=0;

function acquistaAll() {
  if (!document.getElementById('numbered_div') ||
      document.getElementById('numbered_div').style.display == 'inline')
    acquista();
  else
    acquistaStand();
}

  
function cancelAll() {
  if (!document.getElementById('numbered_div') ||
      document.getElementById('numbered_div').style.display == 'inline')
    appletCancelSelection();
  else
    cancelStand();
}


function acquista() {

  if (document.TsPlan != undefined) {
    if(document.TsPlan.getSelectedPlan()==-1)
      return;
  }
  if (addManualChooseParam(document.scelta.seats, document.scelta.reds, 0)) {
    trackEvent('click', {event_action: 'click', event_category: 'Acquista MANUAL', event_label: 'SCELTA MANUALE' });
    if (document.scelta.seats.value == '') {
        alert (frasi.tabellaPrezzi['nTickets']);
        return;
    }
    document.scelta.submit();
  }
}


function changeChoice(val) {
  if (!document.getElementById('unnumbered_div')) return;
  if (buildSeats() != null || checkStand()) {
    var msg = frasi.tabellaPrezzi['num_unnum'];
    if (confirm(msg))
      cancelAll();
    else {
      document.getElementById('radio_'+(val == 1 ? 'un' : '')+'numbered').checked   = true;
      return;
    }
  }
  document.getElementById('numbered_div').style.display   = val == 1 ? 'inline' : 'none';
  document.getElementById('unnumbered_div').style.display = val != 1 ? 'inline' : 'none';
    
  if (val != 1 && document.getElementById('stand_total_cancel').style.width == 'auto')
    document.getElementById('stand_total_cancel').style.width =
        (document.getElementById('stand_reductions').offsetWidth <= 640 ?
         document.getElementById('stand_reductions').offsetWidth : 640) + 'px';

  document.getElementById('numbered_explanation').style.display = val != 1 ? 'none' : 'block';
  appletSetSelectable(val == 1 ? true : false);
}


function standFormatPrice(price) {
  price = price +'';
  return price > 0 ? price.substring(0,price.length-2)+','+price.substring(price.length-2,price.length) : '0,00';
}


function changeStandReduction(elem,zoneAvail) {
  var listZone = document.getElementById('stand_list').value.split(',');
  var numRed   = parseInt(document.getElementById('stand_list').getAttribute("numRed"));
  var total    = 0;
  var numSeat  = 0;

  for (var i=0;i<listZone.length;i++) {
    for (var j=0;j<numRed;j++)
      if (document.getElementById('stand_'+listZone[i]+"_"+j)) {
        var sel = document.getElementById('stand_'+listZone[i]+"_"+j);
        total += parseInt(sel.getAttribute("prezzo")) * parseInt(sel.value);
        numSeat += parseInt(sel.value);
      }
  }

  if (numSeat > parseInt(zoneAvail)) {
    elem.value = parseInt(elem.getAttribute('oldVal'));
    alert(frasi.tabellaPrezzi['maxPostiZona']);
    return;
  }
  else
    elem.setAttribute('oldVal',elem.value);

  var zona    = elem.getAttribute("zona");
  var numZona = 0;

  for (var j=0;j<numRed;j++)
    if (document.getElementById('stand_'+zona+"_"+j))
      numZona += parseInt(document.getElementById('stand_'+zona+"_"+j).value);

  document.getElementById('stand_numseatzone_'+zona).innerHTML = numZona + '&nbsp;';
  document.getElementById('stand_total_price').innerHTML = frasi.tabellaPrezzi['tot'] + ' &euro; ' + standFormatPrice(total);
  seat_unmapped_selected = numSeat;
}

  
function cancelStand() {
  var listZone = document.getElementById('stand_list').value.split(',');
  var numRed   = parseInt(document.getElementById('stand_list').getAttribute("numRed"));

  for (var i=0;i<listZone.length;i++) {
    for (var j=0;j<numRed;j++)
      if (document.getElementById('stand_'+listZone[i]+"_"+j)) {
        var sel = document.getElementById('stand_'+listZone[i]+"_"+j);
        document.getElementById('stand_'+listZone[i]+"_"+j).value = 0;
        document.getElementById('stand_'+listZone[i]+"_"+j).setAttribute('oldVal',0);
      }
    document.getElementById('stand_numseatzone_'+listZone[i]).innerHTML = '0&nbsp;';
  }
  document.getElementById('stand_total_price').innerHTML = frasi.tabellaPrezzi['tot'] + ' &euro; 0,00';
  seat_unmapped_selected = 0;
}


function acquistaStand() {
  var listZone = document.getElementById('stand_list').value.split(',');
  var numRed   = parseInt(document.getElementById('stand_list').getAttribute("numRed"));
  var zone     = '';
  var numSeat  = '';
  var reds     = '';

  for (var i=0;i<listZone.length;i++)
    for (var j=0;j<numRed;j++)
      if (document.getElementById('stand_'+listZone[i]+"_"+j)) {
        var sel = document.getElementById('stand_'+listZone[i]+"_"+j);
        if (sel.value > 0) {
          zone    += (zone.length    ? ',':'') + listZone[i];
          numSeat += (numSeat.length ? ',':'') + sel.value;
          reds    += (reds.length    ? ',':'') + j;
        }
      }
  if (zone.length == 0) {
    alert (frasi.tabellaPrezzi['nTickets']);
    return;
  }
  trackEvent('click', {event_action: 'click', event_category: 'Acquista MANUAL', event_label: 'SCELTA MANUALE' });

  document.scelta.zone.value  = zone;
  document.scelta.seats.value = numSeat;
  document.scelta.reds.value  = reds;
  document.scelta.stand.value = 1;
  document.scelta.submit();
}


function checkStand() {
  var listZone = document.getElementById('stand_list').value.split(',');
  var numRed   = parseInt(document.getElementById('stand_list').getAttribute("numRed"));
  var zone     = '';

  for (var i=0;i<listZone.length;i++)
    for (var j=0;j<numRed;j++)
      if (document.getElementById('stand_'+listZone[i]+"_"+j)) {
        var sel = document.getElementById('stand_'+listZone[i]+"_"+j);
        if (sel.value > 0) zone += (zone.length    ? ',':'') + listZone[i];
      }
  return zone.length != 0;
}

function accediRegistrati () {
  url = document.scelta.action+
        "&cmd="+document.scelta.cmd.value+
        "&nextStep="+document.scelta.nextStep.value+
        "&pcode="+document.scelta.pcode.value+
        "&tcode="+document.scelta.tcode.value+
        "&manual=1";
  document.location = url;
}