var debug = 0;

function alert_debug(str, lev) {
  lev = typeof lev !== 'undefined' ? lev : 1;
  if (debug && console && lev > 2) console.log(str);
}


function fprezzo(str) {
  var l = str.length;
  if (l>2) {
    s = str.substr(0,l-2) + "." + str.substr(l-2,2);
  } else {
    s = '0.' +str;
  }
  if (s == '0.0') s = '0';
  return s;
}


function rebuildSelect(id, minposti, maxposti, disponibilita, contiguity) {
  if (disponibilita < minposti) {
    $('#'+id).length = 1;
    return;
  }
  var max = (maxposti<disponibilita) ? maxposti : disponibilita;
  var nElem = max-minposti+1;
  $('#'+id).find(':not(option:first-child)').remove();
  // il ciclo parte da 1 perch� il primo elemento deve essere vuoto
  for (var i=1;i<=nElem;i++) {
    $('#'+id).append($("<option></option>").attr("value", i+minposti-1).text(i+minposti-1));
  }
  if (contiguity)
    $('#'+id+' option:last').attr("selected","selected");
}

function recalculateContiguitySelect(maxnposti) {
  var posti = new Array();
  var tot = 0;
  $('form[name=frmAcquisto] [name^=nposti_]').each (function (i){
    posti[i]= parseInt($(this).val());
  });
  for (var i = posti.length -1; i >= 0; i--) {
    if ((posti[i]+tot) > maxnposti || i==0) {
      posti[i] = Math.max ((maxnposti-tot), 0);
    }
    tot += posti[i];
  }
  $('form[name=frmAcquisto] [name^=nposti_]').each (function (i){
    $(this).val(posti[i]);
  });
  
}

function ricalcola(mzonaid, riduzioneid, selzoneid) {
  if (!ric) return;
  var totacq = 0;
  var nticket = 0;
  var zonaid = -1;
  var zonaorigid = -1;
  var nridz = -1;
  var zonanumer = -1;
  var numrid =0;
  var urlred = "?nvpg[sell]&cmd="+document.frmAcquisto.cmd.value;
  var trovatoAbbo = false;
  var trovatoOmaggio = false;

  var rebuild = mzonaid!=-1 || riduzioneid !=-1;
  var confirm = mzonaid == -1  && riduzioneid == -2 && selzoneid == -1;
  var macro_search = mzonaid + '_' + selzoneid;

  // Per disgrazia al momento la vendita dei biglietti abbonamento tlite
  // passa per la funzione ricalcola che ridirige a checkAnagrafica.
  // Per adesso se lo step successivo � seasonTicketSetAbbo non passo da checkAnagrafica
  //    if (document.frmAcquisto.nextStep && document.frmAcquisto.nextStep.value == 'seasonTicketSetAbbo')
  //      urlred="?cmd=seasonTicketSetAbbo";
  urlred += "&tcode="+tcode+"&pcode="+pcode;

    alert_debug('>>>>>>>>>>>>>>>>>> mzonaid ' + macro_search + ' riduzioneid ' + riduzioneid,3);

  //Azzero i totali
  if (rebuild) {
    $('span[id^=totrid_]').text(fprezzo('0'));
    $('#totbiglietti').text(fprezzo('0')).trigger('change');
  }

  // seleziona la macrozona di interesse
  var macrozona = $('form[name=frmAcquisto] input[name=macrozona]'); 
  if (mzonaid>-1) {
    macrozona.each(function() {
      if ($(this).val()==macro_search) $(this).prop('checked',true);
    });
  }
  else {
    zonaselez = false;
    macrozona.each(function() {
      if ($(this).is(':checked')) {
        zonaselez = true;
        mzonaid = parseInt($(this).val());
      }    
    });
    if (!zonaselez) {
      alert (frasi.tabellaPrezzi['zonaSel']);
      return "";
    }
  }


  urlred += "&macrozona="+mzonaid;

  // detect zona di prezzo selezionata
  if (riduzioneid > -1) {
    alert_debug('detect zona di prezzo selezionata',3);
    var zonaname = "zonarid_"+mzonaid+"_"+selzoneid+"_"+riduzioneid;
    alert_debug('zonaname  ' + zonaname,3);
      
    //Se non vi sono indici selezionati metto sul primo
    if ($('#'+zonaname).prop('selectedIndex') <= -1) {
      document.getElementById(zonaname).selectedIndex = 0;
    }

    zonaid = $.trim($('#'+zonaname).val()) ;
    alert_debug('>>>>>>>>> zonaid ' +  zonaid, 3);
      
    if ($('#'+zonaname+' option:selected').attr('znid') != null)
      zonaorigid = $.trim($('#'+zonaname+' option:selected').attr('znid'));
    else
      zonaorigid = zonaid;

    urlred += "&zona="+zonaorigid;
  }
  
  var search = "zonarid_"+mzonaid+"_";
  if (selzoneid > -1) 
    search = search + selzoneid+"_";
  
  // azzera le select delle macrozone che non ci interessano
  $('form[name=frmAcquisto] [name^=zonarid_]').filter(':not([name^='+search+'])').each(function(){
    $(this).prop('selectedIndex',-1);
  });
  // lavoro sulla macrozone scelta
  $('form[name=frmAcquisto] [name^=zonarid_]').filter('[name^='+search+']').each (function (index){
    selectZona = $(this);
    if (zonaid>-1) {
      // seleziono la sola zona di prezzo interessata
      selectZona.val(zonaid);
    }
    else {
      //Cerco la zona prezzo selezionata
      selectZona.find('option:selected').each(function() {
        var optSel = $(this);
        zonaid = optSel.val();
          if ((optSel.attr('znid')!= null)) 
            zonaorigid = $.trim(optSel.attr('znid'));
          else
            zonaorigid =  zonaid;
        urlred = urlred+"&zona="+zonaorigid;
      });
    }
      
      //ora che so che c'e' una zona prezzo selezionata
      selectZona.find('option:selected').each(function(){
          alert_debug('TROVATA ZONA ID RECUPERO I DATI ' + zonaid,3);
        var optSel = $(this);
        //verifica sul numero di posti minimo e massimo
        numerata = optSel.attr('numbered')? optSel.attr('numbered') : 0 ;
          alert_debug('ID ELEM ' + selectZona.attr('name'),3);

        // Recupero il nome del tag su cui dovro andare a fare i controlli
        // nelle selct dei posti selezionati perche se � una zone non numerata dovro'
        // ricercare nelle select che hanno un numero nella zona (macro_zona_rid es 1_2_1)
        // altrimenti quelle numerate hanno sempre il -1 nella zona (es 1_-1_2)   
        if ($('form[name=frmAcquisto] [name^=zonarid_'+mzonaid+'_-1_]').length)
          n_posti_search = "zonarid_"+mzonaid+"_-1_";
        else
          n_posti_search = "zonarid_"+mzonaid+"_"+zonaid+"_";
        

        riduznome   = optSel.attr('ridnome');
        prezzo      = parseInt(optSel.attr('price'));
        minnposti   = parseInt(optSel.attr('minbuy'));
        if ($('#contiguity_'+mzonaid).length) {
          maxnposti  = $('#contiguity_'+mzonaid).val();
          contiguity = true;          
        }
        else {
          maxnposti  = parseInt(optSel.attr('maxbuy'));
          contiguity = false;          
        }

        zonmaxposti = parseInt(optSel.attr('znmaxbuy'));
        zondisponib = parseInt(optSel.attr('zndisponib'));
        riduzid     = optSel.attr('ridnum');
        riduzorigid = optSel.attr('ridorigid')? optSel.attr('ridorigid') : riduzid;
        
        postisel = ($('#nposti_'+riduzid).length)? parseInt($('#nposti_'+riduzid).val()) : 0;

        //Solo se devo ricostruire.
        //passo il controllo di contiguit� solo sul primo figlio perch� dovr� mettere li tutti i posti
        if (rebuild && $('#nposti_'+riduzid).length)
          rebuildSelect('nposti_'+riduzid, minnposti, maxnposti, zondisponib, contiguity && index==0);
        else if (contiguity && index==0) {
          recalculateContiguitySelect(maxnposti);
        }
        //Quando premo acquista non devo ricalcolare i posti
        if (!confirm) {
          postisel = ($('#nposti_'+riduzid).length)? parseInt($('#nposti_'+riduzid).val()) : 0;
        }

        if (postisel>0) {
          nridz ++;
          zonanumer = numerata;
          urlred += "&reduction["+nridz+"]="+riduzorigid+"&nTickets["+nridz+"]="+postisel;
          if (optSel.attr('inabbo') == 1) {
            urlred += "&inabbo["+nridz+"]=1";
            trovatoAbbo = true;
          }
          else if (prezzo==0) trovatoOmaggio = true;
        }
        
        if(postisel>zondisponib && zondisponib>0) {
          alert (frasi.tabellaPrezzi['zoneDisponib'].call(this, zondisponib));
          return "";
        }
        if ((postisel>maxnposti ||  postisel>zonmaxposti) && prezzo >0) {
          alert (frasi.tabellaPrezzi['maxNPosti'].call(this, riduznome));
          return "";
        }
        
        nticket += postisel;
        alert_debug('nticket ='+nticket + ' zondisponib = '+zondisponib + ' zonmaxposti = ' +zonmaxposti);
        
        if(nticket>zondisponib && postisel) {
          alert (frasi.tabellaPrezzi['zoneDisponib'].call(this, zondisponib));
          return "";
        }
        
        if ((nticket>zondisponib || nticket>zonmaxposti) && prezzo >0) {
          alert (frasi.tabellaPrezzi['lessTickets']);
          return "";
        }
        
        //calcolo del totale parziale
        $('#totrid_'+riduzid).text(fprezzo((prezzo * postisel)+''));
              
        totacq += prezzo * postisel;
        $('#totbiglietti').text(fprezzo(totacq+'')).trigger('change');

      });
  });
  
  numrid = $('form[name=frmAcquisto] [name^=nposti_]').length;
  
  alert_debug('NUM RID ' + numrid);
  alert_debug('MACRO ID ' + mzonaid + ' ZONE ID ' + zonaid + ' RID ID ' + riduzid + ' NOME ' + riduznome + ' postisel ' + postisel + ' prezzo ' + prezzo + ' trovatoAbbo' + trovatoAbbo);

  //spengo la select posti e riepilogo costo
  //per le riduzioni non presenti su quella macro
  for(sp=0;sp<numrid;sp++) {
    spO = $('#nposti_'+sp);
    tpO = $('#totrid_'+sp);
    if(spO.length) spO.show();
    if(tpO.length) tpO.show();
    szO = $('#'+n_posti_search+sp);
    alert_debug(n_posti_search + ' SO  ' + szO);
    if(!szO.length) {
      if(spO) spO.hide();
      if(tpO) tpO.hide();
    }
  }

  if(riduzioneid==-2 && nticket == 0) {
    alert (frasi.tabellaPrezzi['atLeastOne']);
    return "";
  }

  if (zonaid<0) {
    alert (frasi.tabellaPrezzi['choosePrice']);
    return "";
  }

  if ($('form[name=frmAcquisto] [name=nextStep]').length) {
    if ($('form[name=frmAcquisto] [name=nextStep]').val() == 'seasonTicketSetAbbo' && trovatoAbbo)
      urlred += "&nextStep=seasonTicketSetAbbo&data="+$('form[name=frmAcquisto] [name=data]').val();
    else 
      urlred += "&nextStep="+$('form[name=frmAcquisto] [name=nextStep]').val();
  }
    
  urlred += "&numbered="+zonanumer;

    

  if ($('form[name=frmAcquisto] [name=checkstring]').length) 
    urlred += "&checkstring="+$('form[name=frmAcquisto] [name=checkstring]').val();

  if ($('form[name=frmAcquisto] [name=g-recaptcha-response]').length) 
      urlred += "&g-recaptcha-response=" + $('form[name=frmAcquisto] [name=g-recaptcha-response]').val();
   
    
    alert_debug(urlred,3);


  if (totacq>0 || trovatoAbbo || trovatoOmaggio) return urlred;
  else                                           return "";
  
}


function accediRegistrati () {
    url = document.frmAcquisto.action+
          "&cmd="+document.frmAcquisto.cmd.value+
          "&nextStep="+document.frmAcquisto.nextStep.value+
          "&pcode="+document.frmAcquisto.pcode.value+
          "&tcode="+document.frmAcquisto.tcode.value;
    document.location = url;
}

$(document).ready(function(){
	if ($('input[name=macrozona]').length == 1 && $('.contiguity').length )
		$('.contiguity').trigger('change');
});
