$(document).ready(function(){

  $('form[id^="form_pd_"]').submit(function(event){
    var tickid= $(this).find('[name=ticketId]').val();
    $('.ana_error').html('').removeClass('show');
    var ok= true;
    var form = '';
    
    $(this).find(":input").not("input[type='submit'],input[type='hidden']").each(function(){
      var fieldName = $(this).attr('name');
      
      if ($('#form_pd_'+tickid).length > 0)
        form = '#form_pd_'+tickid;
      else if ($('#form_pd_privacy').length > 0)
        form = '#form_pd_privacy';

      var error = '';
      
      //CAMPI TEXT
      if (this.type == 'text') {
        var  value = $.trim($(this).val());
        // CAMPO RICHIESTO MA VUOTO
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
        // CAMPO  TEXT - NUMBER
        else if ($(this).data('kind') == 'number') {
          if (value!='' && ! /^\d+$/.test(value)) {
            error = frasi.personalDetails['number'];
          }
        }
        // CAMPO  TEXT - DATE
        else if (value!='' && $(this).data('kind') == 'date') {
          if (value!='') {
            var check = false;
            var re = /^\d{1,2}\/\d{1,2}\/\d{4}$/;
            if( re.test(value)) {
              var adata = value.split('/');
              var gg = parseInt(adata[0],10);
              var mm = parseInt(adata[1],10);
              var aaaa = parseInt(adata[2],10);
              var xdata = new Date(aaaa,mm-1,gg);
              if ( ( xdata.getFullYear() === aaaa ) && ( xdata.getMonth() === mm - 1 ) && ( xdata.getDate() === gg ) )
                check = true;
              else check = false;
            } else check = false;
            if (!check)
              error = frasi.personalDetails['date'];
          }
        }
        // CAMPO  TEXT - EMAIL 
        else if ($(this).data('kind') == 'email') {
          if (value!='' && ! /^[\w]+([-_\.][\w]+)*@[\w]+(([-_][\w]+)*(\.[\w][\w]+)*)*\.[a-z]{2,4}$/i.test(value)) {
            error = frasi.personalDetails['email'];
          }
        }
        // CAMPO  TEXT - TEXT alfanumerico - nessun test
      }
      //CAMPI TEXTAREA
      else if (this.type == 'textarea') {
        var value = $.trim($(this).val());
        // CAMPO RICHIESTO MA VUOTO
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI RADIO
      else if (this.type == 'radio') {
        //Lavoro solo sul primo elemento
        if ($(this).attr('id') == fieldName+'_0_'+tickid) {
          var len = $(form +' input[name="'+$(this).attr('name')+'"]:checked').length;
          if ($(this).data('mandatory') == '1' && len == 0) {
            error = frasi.personalDetails['required'];
          }
        }
      }
      //CAMPI SELECT - ONE
      else if (this.type == 'select-one') {
        var value = $('#'+fieldName+'_'+tickid+' option:selected').val(); 
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI SELECT - MULTIPLE
      else if (this.type == 'select-multiple') {
        //Controllo quante selezioni ci sono
        fieldName = fieldName.slice(0,-2);
        if ($(this).data('mandatory') == '1' && $('#'+fieldName+'_'+tickid+' option:selected').length == 0) {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI CHECKBOX
      else if (this.type == 'checkbox') {
        fieldName = fieldName.slice(0,-2);
        //Lavoro solo sul primo elemento
        if ($(this).attr('id') == fieldName+'_0_'+tickid) {
          var len = $(form +' input[name="'+$(this).attr('name')+'"]:checked').length;
          if ($(this).data('mandatory') == '1' && len == 0) {
            error = frasi.personalDetails['required'];
          }
        }
      }

      if (error) {
        if ($(form +' #'+fieldName+'_error').length > 0)
          $(form +' #'+fieldName+'_error').html(error).addClass('show');
        ok = false;
      }
    });
    if (!ok) {
      if (form == '#form_pd_privacy') {
        $("<div>").html($('#errMsg').html()).dialog({
          modal: true,
          buttons: { Ok: function() { $( this ).dialog( "close" ); }}
        });
      
      }
      else 
        $(this).parent().scrollTop(0);
    }
    return ok;
  });
  
});