function setPersonalDetail($button, ok) {
  if (ok) {
	 $button.find('b').hide();
	 $button.find('span').data('user','ok');
	 if ($button.find('img').length)
  	   $button.find('img').attr('src', $button.find('img').attr('src').replace('user_ko.png','user_ok.png') );
	 $button.find('.fa-stack .fa-times').removeClass('fa-times text-danger').addClass('fa-check text-ok');
  }
  ok = true;
  $('.personal-detail').each(function(){
	  if ($(this).data('user') == 'ko')
		  ok = false;
  });
  if (ok) {
	  $('#btnConfermaPD').hide();
	  $('#btnConferma, #btnConfermaGrp').removeClass('hidden');
  }
  
  
}

$(document).ready(function(){
	
  $('.personal-detail').click(function(e){
	  $pd = $(this);
	  ticketId = $pd.data('ticket');
	  $.getJSON('/extscript/personalDetail.php',
			    {tranId : $pd.data('tr'), ticketId:ticketId, red:$pd.data('red'), seatSerial:$pd.data('seat')},
			    function (data) {
				      for(var key in data) {
                       if (key != '_check_') {
                    	   $input = $("#ana_"+key+"_"+ticketId+", .ana_"+key+"_"+ticketId);
                    	   type = $input.attr('type');
                    	   if (type == 'radio' || type == 'checkbox')
                    		   $input.filter('[value=\''+data[key]+'\']').prop('checked', true)
                    	   else if ($input.is('select') && $input.prop('multiple')) {
                    		   var arr = data[key].split('||');
                    		   $.each(arr, function(i,v){
                    			   $input.filter('option[value=\''+v+'\']').prop('selected', true)
                    		   });
                    	   }
                    	   else
                    		   $input.val(data[key]);
                    	   
                       }
                       else {
                    	   button = $pd.data('target').replace('pd','pdb');
                    	   setPersonalDetail($(button), data[key]);
                       }
                      }
				      $($pd.data('target')).modal()
			    });
  });
  
  $('.personal-detail-form form').submit(function(event){
    event.preventDefault();
    var tickid= $(this).find('[name=ticketId]').val();
    $('.ana_error').html('').removeClass('show');
    var ok= true;
    var form = '';
    var error = '';

    if ($('#form_pd_'+tickid).length > 0)
    	form = '#form_pd_'+tickid;
    else if ($('#form_pd_privacy').length > 0)
    	form = '#form_pd_privacy';

    $(this).find(":input").not("input[type='submit'],input[type='hidden']").each(function(){
        var fieldName = $(this).attr('name').replace("[]", "");
        $(form +' #'+fieldName+'_error').html('').removeClass('show');
    });

    $(this).find(":input").not("input[type='submit'],input[type='hidden']").each(function(){
      var fieldName = $(this).attr('name').replace("[]", "");
      error = '';
      
      //CAMPI TEXT
      if (this.type == 'text') {
        var  value = $.trim($(this).val());
        // CAMPO RICHIESTO MA VUOTO
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
        // CAMPO  TEXT - NUMBER
        else if ($(this).data('kind') == 'number') {
          if (value!='' && ! /^\d+$/.test(value)) {
            error = frasi.personalDetails['number'];
          }
        }
        // CAMPO  TEXT - DATE
        else if (value!='' && $(this).data('kind') == 'date') {
          if (value!='') {
            var check = false;
            var re = /^\d{1,2}\/\d{1,2}\/\d{4}$/;
            if( re.test(value)) {
              var adata = value.split('/');
              var gg = parseInt(adata[0],10);
              var mm = parseInt(adata[1],10);
              var aaaa = parseInt(adata[2],10);
              var xdata = new Date(aaaa,mm-1,gg);
              if ( ( xdata.getFullYear() === aaaa ) && ( xdata.getMonth() === mm - 1 ) && ( xdata.getDate() === gg ) )
                check = true;
              else check = false;
            } else check = false;
            if (!check)
              error = frasi.personalDetails['date'];
          }
        }
        // CAMPO  TEXT - EMAIL
        else if ($(this).data('kind') == 'email') {
          if (value!='' && ! /^[\w]+([-_\.][\w]+)*@[\w]+(([-_][\w]+)*(\.[\w][\w]+)*)*\.[a-z]{2,4}$/i.test(value)) {
            error = frasi.personalDetails['email'];
          }
        }
        // CAMPO  TEXT - TEXT alfanumerico - nessun test
      }
      //CAMPI TEXTAREA
      else if (this.type == 'textarea') {
        var value = $.trim($(this).val());
        // CAMPO RICHIESTO MA VUOTO
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI RADIO
      else if (this.type == 'radio') {
        //Lavoro solo sul primo elemento
        if ($(this).attr('id') == fieldName+'_'+tickid+'_0') {
          var len = $(form +' input[name="'+$(this).attr('name')+'"]:checked').length;
          if ($(this).data('mandatory') == '1' && len == 0) {
            error = frasi.personalDetails['required'];
          }
        }
      }
      //CAMPI SELECT - ONE
      else if (this.type == 'select-one') {
        var value = $('#'+fieldName+'_'+tickid+' option:selected').val();
        if ($(this).data('mandatory') == '1' && value=='') {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI SELECT - MULTIPLE
      else if (this.type == 'select-multiple') {
        //Controllo quante selezioni ci sono
        if ($(this).data('mandatory') == '1' && $('#'+fieldName+'_'+tickid+' option:selected').length == 0) {
          error = frasi.personalDetails['required'];
        }
      }
      //CAMPI CHECKBOX
      else if (this.type == 'checkbox') {
        //Lavoro solo sul primo elemento
        if ($(this).attr('id') == fieldName+'_'+tickid+'_0') {
          var len = $(form +' input[name="'+$(this).attr('name')+'"]:checked').length;
          if ($(this).data('mandatory') == '1' && len == 0) {
            error = frasi.personalDetails['required'];
          }
        }
      }

      if (error) {
        if ($(form +' #'+fieldName+'_error').length > 0)
          $(form +' #'+fieldName+'_error').html(error).addClass('show');
        ok = false;
      }
    });
    if (!ok) {
      if (form == '#form_pd_privacy') {
        $("<div>").html($('#errMsg').html()).dialog({
          modal: true,
          buttons: { Ok: function() { $( this ).dialog( "close" ); }}
        });
      
      }
      else
        $(this).parent().scrollTop(0);
    }
    if (ok) {
      data = $(this).serializeArray();
  	  $.post('/extscript/personalDetail.php', data,
			    function (data) {
				      $($pd.data('target')).modal('hide')
				      button = $pd.data('target').replace('pd','pdb');
               	      setPersonalDetail($(button), data['_check_']);
			    }, 'json');

    }
    return ok;
  });
  
});