function showFullDescription() {
  $('#descrAbboTronca').hide()
	$('#descrAbboCompleta').show()
}


function setInputAbbonamento(obj, id) {
  $('#'+id).val($(obj).val());
  $(obj).prop("selectedIndex",0);
}


// Faccio la verifica della validita di acquisto sullo spettacolo per ogni biglietto abbonamento.
// Devo pero controllare quante volte e' presente il codice passatomi nei campi di input per poter definire
// quanti ratei devono essere emessi
function codeVerifyTlite(id, tcode, pcode) {
  ratei=0;    
  codeToCheck = $('#'+id).val();

  if(!abboCodeIsCompiled()) return false;

  if (codeToCheck.length == 0) {
    alert(frasi.tabellaPrezzi['noAbboCode']);
    return;
  }

  var zoneExists=true;
  var zoneArray= new Array();

  for (var i = 0 ; i < $('#abboBiglNum').val(); ++i) {
    if (!$('#abbo_' + i)) continue;
    if ($('#abbo_' + i).val() != codeToCheck) continue;

    if (zoneExists && $('#abbo_' + i).attr('zoneid') == null) {
      zoneExists = false;
      zoneArray = new Array();
    }
      
    if (zoneExists) {
      if (undefined == zoneArray[$('#abbo_' + i).attr('zoneid')]) 
        zoneArray[$('#abbo_' + i).attr('zoneid')] = 1;
      else 
        zoneArray[$('#abbo_' + i).attr('zoneid')]++;
    }
    ratei++;
  }

  var param = 'cmd=checkTLiteSubscriptionCode&abboCode=' + codeToCheck + '&tcode=' + tcode + '&pcode=' + pcode + '&totratei=' + ratei + '&lang=' + lang;
    
  if (zoneExists && zoneArray.length > 0) {
    var zonesData = '';
    for (var z in zoneArray)  {
      zonesData += (zonesData == '' ? '' : ',') + z + ':' + zoneArray[z] ;
    }
    param += '&zonesData=' + zonesData;
  }
  
  $.ajax({
    url: 'http://' + host + '/wmsbackend.php',
    data: param,
    success: function(msg){ codeVerifyOutput(msg); }
  }); 

}


function codeVerifyOutput(content) {
  $('#verifyCodeDiv').addClass ('error');
  $('#verifyCodeDiv').html(content);
}


function abboCodeIsCompiled() {
  var c = $('#abboBiglNum').val();
  for (i = 0 ; i < c ; ++i) {
    if ($('#abbo_' + i).length &&
        $('#abbo_' + i).val().length==0) {
      alert(frasi.tabellaPrezzi['missingAbboCode']);
      return false;
    }
  }
  return true;
}


function checkCode() {
  if (!abboCodeIsCompiled()) return false;
  $('#tabellaBiglietti').submit();
}

  
function controllaScelta (frm) {
  if (frm.pcode.disabled == true)  return false;
  if (frm.pcode.selectedIndex == 0 && frm.pcode[frm.pcode.selectedIndex].value == 0) {
      alert (frasi.tabellaPrezzi['chooseDate']);
      return false;
  }
  if (frm.pcode[frm.pcode.selectedIndex].disabled == true)   {
      alert (frasi.tabellaPrezzi['dateSoldOut']);
      return false;
  }
  return true;
}


function checkAbbonamenti() {
  var msg='';
  with (document.frmAcquisto) {
    var macrolength = !macrozona.length ? 1 : macrozona.length;

    zonaselez = false;
    if(macrolength==1) {
      if (macrozona.checked) zonaselez = true;
    }
    else {
      for (i=0;i<macrolength;i++) {
        if (macrozona[i].checked) {
          zonaselez = true;
          break;
        }
      }
    }
    if (!zonaselez)        msg += frasi.tabellaPrezzi['zonaSel']+"\n";
    if (nTickets.value==0) msg += frasi.tabellaPrezzi['nTickets']+"\n";
    
    if (msg!='') {
       alert (msg); 
       return false;
    }
  }
  return true; 
}